package com.wd.workoffice.ui.activity.user;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import flexible.xd.android_base.utils.AppUtil;

/**
 * 我的 - 设置 -关于
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class UserAboutActivity extends WorkToolBarActivity {


    @BindView(R.id.tv_version)
    TextView tvVersion;
    @BindView(R.id.tv_server)
    TextView tvServer;
    @BindView(R.id.tv_privacy)
    TextView tvPrivacy;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
        tvVersion.setText("版本信息：" + AppUtil.getAppVersionName());
    }

    @Override
    protected void initData() {
    }


    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_about;
    }



    @OnClick({R.id.tv_server, R.id.tv_privacy})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.tv_server:
                startActivity(UserServerActivity.class);
                break;
            case R.id.tv_privacy:
                startActivity(UserPrivacyActivity.class);
                break;
        }
    }
}
